Skip to main content
GET
/
api2
/
v1
/
machineTranslateSettings
/
{mtsUid}
Get machine translate settings
curl --request GET \
  --url https://cloud.memsource.com/web/api2/v1/machineTranslateSettings/{mtsUid} \
  --header 'Authorization: <api-key>'
{
  "args": {},
  "baseName": "<string>",
  "charCount": 123,
  "default_": true,
  "id": "<string>",
  "includeTags": true,
  "langs": {
    "id": "<string>",
    "sourceLang": "<string>",
    "targetLangs": [
      "<string>"
    ]
  },
  "mtQualityEstimation": true,
  "name": "<string>",
  "payForMtActive": true,
  "payForMtPossible": true,
  "sharingSettings": 123,
  "type": "<string>",
  "uid": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://developers.phrase.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Path Parameters

mtsUid
string
required

Response

successful operation

args
object
baseName
string
charCount
integer<int32>
default_
boolean
id
string
includeTags
boolean
langs
object
mtQualityEstimation
boolean
name
string
payForMtActive
boolean
payForMtPossible
boolean
sharingSettings
integer<int32>
type
string
uid
string